Types.SourceData (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.agent

## Class Types.SourceData

- java.lang.Object
- - org.gcube.datatransfer.common.agent.Types.SourceData

- Enclosing class:
    Types

      public static class Types.SourceData
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Types.InputPattern` | `inputSource`
    `List<String>` | `inputURIs`
    `String` | `scope`
    `Types.transferType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Types.SourceData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Types.InputPattern` | `getInputSource()`
    `List<String>` | `getInputURIs()`
    `String` | `getScope()`
    `Types.transferType` | `getType()`
    `void` | `setInputSource(Types.InputPattern inputSource)`
    `void` | `setInputURIs(List<String> inputURIs)`
    `void` | `setScope(String scope)`
    `void` | `setType(Types.transferType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public Types.transferType type

    - #### scope

          public String scope

    - #### inputSource

          public Types.InputPattern inputSource

    - #### inputURIs

          public List<String> inputURIs

  - ### Constructor Detail

    - #### Types.SourceData

          public Types.SourceData()

  - ### Method Detail

    - #### getType

          public Types.transferType getType()

    - #### setType

          public void setType(Types.transferType type)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getInputSource

          public Types.InputPattern getInputSource()

    - #### setInputSource

          public void setInputSource(Types.InputPattern inputSource)

    - #### getInputURIs

          public List<String> getInputURIs()

    - #### setInputURIs

          public void setInputURIs(List<String> inputURIs)

Copyright © 2015. All Rights Reserved.